import request from '@/utils/request'

// 保存上传文件记录
export function save (data) {
  return request({
    url: '/tmerclub_biz/mp/attachFile',
    method: 'post',
    data
  })
}

// 获取上传文件记录表列表
export function page (pageParam) {
  return request({
    url: '/tmerclub_biz/mp/attachFile/page',
    method: 'get',
    params: pageParam
  })
}

// 更新文件记录
export function updateFileName (data) {
  return request({
    url: '/tmerclub_biz/mp/attachFile/updateFile',
    method: 'put',
    data
  })
}

// 删除上传文件记录
export function deleteFile (param) {
  return request({
    url: '/tmerclub_biz/mp/attachFile',
    method: 'delete',
    params: param
  })
}
