import request from '@/utils/request'

export function flowAll (params) {
  return request({
    url: '/tmerclub_flow/p/flowAnalysis/flowAll',
    method: 'get',
    params
  })
}

export function flowTrend (params) {
  return request({
    url: '/tmerclub_flow/p/flowAnalysis/flowTrend',
    method: 'get',
    params
  })
}

export function flowSour (params) {
  return request({
    url: '/tmerclub_flow/p/flowAnalysis/flowSour',
    method: 'get',
    params
  })
}

export function flowSystem (params) {
  return request({
    url: '/tmerclub_flow/p/flowAnalysis/flow_system',
    method: 'get',
    params
  })
}

export function soldExcelSystem (params) {
  return request({
    url: '/tmerclub_flow/p/flowAnalysis/analysisDataExport',
    method: 'get',
    params,
    responseType: 'blob'
  })
}

export function soldExcelTrend (params) {
  return request({
    url: '/tmerclub_flow/p/flowAnalysis/flowTrend_export',
    method: 'get',
    params,
    responseType: 'blob'
  })
}

export function soldExcelSour (params) {
  return request({
    url: '/tmerclub_flow/p/flowAnalysis/flowSour_export',
    method: 'get',
    params,
    responseType: 'blob'
  })
}
