import request from '@/utils/request'
import excelRequest from '@/utils/excelRequest'

// 收入详情
export function revenueDetail (pageParam) {
  return request({
    url: '/tmerclub_payment/p/accountDetail/getIncomeAccountDetail',
    method: 'get',
    params: pageParam
  })
}

export function revenueDetailInfo (pageParam) {
  return request({
    url: '/tmerclub_payment/p/accountDetail/getIncomeAccountDetail_info',
    method: 'get',
    params: pageParam
  })
}

// /tmerclub_payment/p/accountDetail/getRefundAccountDetail

export function refundsDetail (pageParam) {
  return request({
    url: '/tmerclub_payment/p/accountDetail/getRefundAccountDetail',
    method: 'get',
    params: pageParam
  })
}

export function refundDetailInfo (pageParam) {
  return request({
    url: '/tmerclub_payment/p/accountDetail/getRefundAccountDetail_info',
    method: 'get',
    params: pageParam
  })
}

/**
 * 财务对账
 */

// 获取支付详情
export function getPayInfo (pageParam) {
  return request({
    url: '/tmerclub_payment/p/accountDetail/getPayInfo',
    method: 'get',
    params: pageParam
  })
}

// 获取退款详情
export function getRefundInfo (pageParam) {
  return request({
    url: '/tmerclub_payment/p/accountDetail/getRefundInfo',
    method: 'get',
    params: pageParam
  })
}

// 导出收入对账excel
export function soldExcel (param) {
  return excelRequest({
    url: '/tmerclub_payment/p/accountDetail/soldExcel',
    method: 'GET',
    params: param
  })
}

// 导出退款对账excel
export function refundSoldExcel (param) {
  return excelRequest({
    url: '/tmerclub_payment/p/accountDetail/refundSoldExcel',
    method: 'GET',
    params: param
  })
}
