import request from '@/utils/request'

export function countByShopStatus (shopStatus) {
  return request({
    url: '/tmerclub_admin/p/shop_statistics/count_by_shop_status',
    method: 'GET',
    params: {
      shopStatus
    }
  })
}

export function listShopRankIngByFlow (dayCount, limit) {
  return request({
    url: '/tmerclub_flow/p/productAnalyse/shopRankIngByFlow',
    method: 'GET',
    params: {
      dayCount,
      limit
    }
  })
}
