import request from '@/utils/request'

export function batchDeleteImgs (fileIds) {
  return request({
    url: '/tmerclub_biz/p/attachFile/deleteByIds',
    method: 'delete',
    data: fileIds
  })
}

export function batchMoveImgs (groupId, imgList) {
  return request({
    url: '/tmerclub_biz/p/attachFile/batchMove',
    method: 'put',
    params: { groupId },
    data: imgList
  })
}
