import request from '@/utils/request'

export function login (data) {
  return request({
    url: '/tmerclub_auth/ua/adminLogin',
    method: 'post',
    data
  })
}

export function logout () {
  return request({
    url: '/tmerclub_auth/ma/loginOut',
    method: 'post'
  })
}

export function updatePassword (data) {
  return request({
    url: '/tmerclub_auth/mp/changePassword/updatePassword',
    method: 'PUT',
    data
  })
}
