import request from '@/utils/request'

export function page (pageParam) {
  return request({
    url: '/tmerclub_admin/mp/shopWallet/getAllShopWalletLogPage',
    method: 'get',
    params: pageParam
  })
}
export function soldExcel (pageParam) {
  return request({
    url: '/tmerclub_admin/mp/shopWallet/getShopWalletLogForm',
    method: 'get',
    params: pageParam,
    responseType: 'blob'
  })
}
// get_shop_wallet
export function shopWallet (param) {
  return request({
    url: '/tmerclub_admin/mp/shopWallet/getAllShopWalletVoByShopId',
    params: param,
    method: 'get'
  })
}
export function pageShopWallet (param) {
  return request({
    url: '/tmerclub_admin/mp/shopWallet/pageShopWalletByTime',
    params: param,
    method: 'get'
  })
}
// get_order_detail 订单详情列表
export function orderDetaiList (orderId, refundId) {
  return request({
    url: '/tmerclub_order/mp/order_item/get_order_detail',
    method: 'get',
    params: {
      orderId,
      refundId
    }
  })
}
